### Function

# GimpUi help_set_help_data

#### Declaration [src]

    void
    gimp_help_set_help_data (
      GtkWidget* widget,
      const gchar* tooltip,
      const gchar* help_id
    )

#### Description [src]

The reason why we don’t use `gtk_widget_set_tooltip_text()` is that elements in the GIMP user interface should, if possible, also have a `help_id` set for context-sensitive help.

This function can be called with `NULL` for `tooltip`. Use this feature if you want to set a help link for a widget which shouldn’t have a visible tooltip.

#### Parameters

`widget`

  Type: `GtkWidget`

  The `GtkWidget` you want to set a `tooltip` and/or `help_id` for.

  The data is owned by the caller of the function.

`tooltip`

  Type: `const gchar*`

  The text for this widget’s tooltip (or `NULL`).

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`help_id`

  Type: `const gchar*`

  The `help_id` for the `GtkTipsQuery` tooltips inspector.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.